Package Details: ruby2.1 2.1.10-3

Git Clone URL: https://aur.archlinux.org/ruby2.1.git (read-only, click to copy)
Package Base: ruby2.1
Description: An object-oriented language for quick and easy programming
Upstream URL: http://www.ruby-lang.org/en/
Licenses: custom, BSD
Submitter: jhass
Maintainer: None
Last Packager: jhass
Votes: 0
Popularity: 0.000000
First Submitted: 2017-02-13 12:10
Last Updated: 2017-02-13 12:10

Latest Comments

jhass commented on 2020-06-23 21:37

Yes, it's unmaintained as Ruby 2.1 probably contains known and unpatched security issues by now.

Synthead commented on 2020-06-23 21:07

This package doesn't build:

make[2]: *** [Makefile:280: ossl_x509crl.o] Error 1
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/json/generator'
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/json/parser'
make[2]: *** [Makefile:280: ossl_pkcs12.o] Error 1
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/openssl'
make[1]: *** [exts.mk:192: ext/openssl/all] Error 2
make[1]: *** Waiting for unfinished jobs....
make[2]: Entering directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/rbconfig/sizeof'
make[2]: Entering directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/racc/cparse'
make[2]: warning: -j9 forced in submake: resetting jobserver mode.
make[2]: warning: -j9 forced in submake: resetting jobserver mode.
compiling sizes.c
compiling cparse.c
installing default sizeof libraries
installing default cparse libraries
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/dl/callback'
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/pathname'
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/psych'
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/objspace'
linking shared-object rbconfig/sizeof.so
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/rbconfig/sizeof'
linking shared-object pty.so
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/pty'
linking shared-object racc/cparse.so
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/racc/cparse'
linking shared-object nkf.so
make[2]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9/ext/nkf'
make[1]: Leaving directory '/home/max/aur/ruby2.1/src/ruby-2.1.9'
make: *** [uncommon.mk:180: build-ext] Error 2
==> ERROR: A failure occurred in package().
    Aborting...

jhass commented on 2017-04-02 09:57

Support for Ruby 2.1 has ended, there will be no further updates for any found security issues. Please update to Ruby 2.2 or later now.